GNU bug report logs - #38178
[WIP v2] gnu: Add grass.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Wiktor Żelazny <wz@HIDDEN>; merged with #38150; dated Tue, 12 Nov 2019 15:06:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 38150 38178. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 38178 <at> debbugs.gnu.org:


Received: (at 38178) by debbugs.gnu.org; 14 Nov 2019 15:30:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 14 10:30:45 2019
Received: from localhost ([127.0.0.1]:34962 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iVH52-0002wq-Rq
	for submit <at> debbugs.gnu.org; Thu, 14 Nov 2019 10:30:45 -0500
Received: from freeshell.de ([94.247.40.156]:48952 ident=postfix)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <wz@HIDDEN>) id 1iVH51-0002wc-0h
 for 38178 <at> debbugs.gnu.org; Thu, 14 Nov 2019 10:30:43 -0500
Date: Thu, 14 Nov 2019 16:30:36 +0100
From: Wiktor =?utf-8?Q?=C5=BBelazny?= <wz@HIDDEN>
To: 38178 <at> debbugs.gnu.org
Subject: Re: [WIP v2] gnu: Add grass.
Message-ID: <20191114153036.scgoex7zqc5r53cu@HIDDEN>
Mail-Followup-To: 38178 <at> debbugs.gnu.org
References: <20191112150417.17249-1-wz@HIDDEN>
 <handler.38178.B.15735711166598.ack <at> debbugs.gnu.org>
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="ojey6pdksfd2zwov"
Content-Disposition: inline
In-Reply-To: <handler.38178.B.15735711166598.ack <at> debbugs.gnu.org>
X-PGP-Key: https://freeshell.de/~wz/pubkey.asc
X-PGP-Fingerprint: BDC9 74CD D9C9 BA7D 761A  573D C735 A8C6 AB60 79D5
User-Agent: NeoMutt/20180716
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 38178
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--ojey6pdksfd2zwov
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

A new version of GRASS GIS got released, which gave me an opportunity
to bump the version in the old definition and recompile. The errors are
there, but do not hinder the successful build. Apparently, they have
been there from the beginning; I just didn=E2=80=99t notice =E2=80=94 both =
bad and
good news.

The real error (for now) is

   In unknown file:
            0 (%resolve-variable (7 . wxpython) #<directory (g=E2=80=A6>)

   ERROR: In procedure %resolve-variable:
   Unbound variable: wxpython

I tried changing =E2=80=9Cwxpython=E2=80=9D to =E2=80=9Cpython-wxpython=E2=
=80=9D, but this also
is not recognized. So there=E2=80=99s something wrong with the way I defined
the wrapping.

W=C5=BB

--ojey6pdksfd2zwov
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQKTBAABCgB9FiEEvcl0zdnJun12Glc9xzWoxqtgedUFAl3NcxtfFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldEJE
Qzk3NENERDlDOUJBN0Q3NjFBNTczREM3MzVBOEM2QUI2MDc5RDUACgkQxzWoxqtg
edWQeg//X8IpUF0szB47dVlBTK/kJ79EbnGnG05KUIOh8BzTn1axLGPbcnYlxw9I
34kJ95EH4VpXSvQ9MqOgcrw6PbKIQhskQoPaVrCVtq4rYgR+NurJrk0C5ec54kC/
fsiTidlLifjy7ukCekASgcDjgOk+FRGx4DcoV9HmmNRAWnEn21lZk6voCVseYXnJ
8my1IbUEuhlD1XL+fpY2ZjJzRntcVYhAHjaLhpPzl/RRxz+2rMIj2ISPI7DxKdiv
ycLZreUGdoNl9KH443r4UigLnlhMYmn21nWUfm2DiSvhyOQftuV3CUWv6NvM+z1X
yML+eAKO6j2uKNu9CK0rWc0/SZ72MyG3442e02qsWExGUc0Wo8tI3smKw4Ip1lyU
diU0C7ro4tItkyoynSSKgyiRAuNVjMCNAZd0IRXV30Cz/fcQgpJsgnXNIvbVtr++
x170JOyFdLqqn+PDwmszkc2/k7jjNOVd78Nsj4zx/r0nWGviLnHIux7nPyGo5nUN
ORX4pDDibUk5RT87jw6qkZXEO+WNwal8zcYTFltHlmtk19afwi9AHRsztOG0DeSK
eRQEHotQCu8hz7bb54Rc2ArwbNCWYydzfv1r6gR0ZBl3xO8v5NWRg5lb0Ie1o5jr
pGQvWd5vny4lzKgUK3cmJlHRS81Ao2291XyLgdW99rwSr65mUjs=
=VWuc
-----END PGP SIGNATURE-----

--ojey6pdksfd2zwov--




Information forwarded to guix-patches@HIDDEN:
bug#38178; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Nov 2019 15:05:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 12 10:05:16 2019
Received: from localhost ([127.0.0.1]:58163 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iUXjH-0001iJ-G8
	for submit <at> debbugs.gnu.org; Tue, 12 Nov 2019 10:05:16 -0500
Received: from lists.gnu.org ([209.51.188.17]:59221)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <wz@HIDDEN>) id 1iUXjF-0001iB-3P
 for submit <at> debbugs.gnu.org; Tue, 12 Nov 2019 10:05:14 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:40238)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <wz@HIDDEN>) id 1iUXj8-00009L-4J
 for guix-patches@HIDDEN; Tue, 12 Nov 2019 10:05:12 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,URIBL_BLOCKED
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <wz@HIDDEN>) id 1iUXj5-0004X8-Fi
 for guix-patches@HIDDEN; Tue, 12 Nov 2019 10:05:05 -0500
Received: from freeshell.de ([2a01:360:106::2]:49028)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <wz@HIDDEN>) id 1iUXj5-0004Vm-6f
 for guix-patches@HIDDEN; Tue, 12 Nov 2019 10:05:03 -0500
From: =?UTF-8?q?Wiktor=20=C5=BBelazny?= <wz@HIDDEN>
To: guix-patches@HIDDEN
Subject: [WIP v2] gnu: Add grass.
Date: Tue, 12 Nov 2019 16:04:17 +0100
Message-Id: <20191112150417.17249-1-wz@HIDDEN>
In-Reply-To: <87d0e0mzvk.fsf@HIDDEN>
References: <87d0e0mzvk.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a01:360:106::2
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

From: Wiktor =C5=BBelazny <wzelazny@HIDDEN>

* gnu/packages/geo.scm (grass): New variable.
No GUI due to wxpython not found on runtime.
---
Hi there!
Thank you for your suggestion with regard to python-wxpython. I tried to
implement it, along with your remaining comments. I temporarily removed
python-six. I don=E2=80=99t remember anymore what led me to putting it th=
ere.
Unfortunately, I cannot test the result, as I=E2=80=99m now getting this =
kind of
errors:
   Status: Preprocessing /tmp/guix-build-grass-7.8.0.drv-0/tmp70mq13s0.h
   Status: gcc -E       -I/tmp/guix-build-grass-7.8.0.drv-0/grass-7.8.0/d=
ist.x86_64-pc-linux-gnu/include -I/tmp/guix-build-grass-7.8.0.drv-0/grass=
-7.8.0/dist.x86_64-pc-linux-gnu/include -D__GLIBC_HAVE_LONG_LONG -U __GNU=
C__ -dD "-Dinline=3D" "-
   D__inline__=3D" "-D__extension__=3D" "-D_Bool=3Duint8_t" "-D__const=3D=
const" "-D__asm__(x)=3D" "-D__asm(x)=3D" "-DCTYPESGEN=3D1" "/tmp/guix-bui=
ld-grass-7.8.0.drv-0/tmp70mq13s0.h"
   Status: Parsing /tmp/guix-build-grass-7.8.0.drv-0/tmp70mq13s0.h
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
sys/select.h:101: Syntax error at '__readfds'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
sys/select.h:102: Syntax error at '__writefds'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
sys/select.h:103: Syntax error at '__exceptfds'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
sys/select.h:104: Syntax error at '__timeout'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
sys/select.h:113: Syntax error at '__readfds'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
sys/select.h:114: Syntax error at '__writefds'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
sys/select.h:115: Syntax error at '__exceptfds'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
sys/select.h:116: Syntax error at '__timeout'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
sys/select.h:117: Syntax error at '__sigmask'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
inttypes.h:297: Syntax error at '__nptr'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
inttypes.h:298: Syntax error at '__endptr'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
inttypes.h:301: Syntax error at '__nptr'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
inttypes.h:302: Syntax error at '__endptr'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
inttypes.h:305: Syntax error at '__nptr'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
inttypes.h:302: Syntax error at '__endptr'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
inttypes.h:305: Syntax error at '__nptr'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
inttypes.h:306: Syntax error at '__endptr'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
inttypes.h:310: Syntax error at '__nptr'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
inttypes.h:311: Syntax error at '__endptr'
   Error: /gnu/store/vf5lkc27z5rcbvaw6rkdmqisyg923m5r-mesa-19.1.4/include=
/GL/glext.h:9752: Syntax error at 'packed'
   Error: /gnu/store/vf5lkc27z5rcbvaw6rkdmqisyg923m5r-mesa-19.1.4/include=
/GL/glext.h:9752: Syntax error at ')'
   Error: /gnu/store/vf5lkc27z5rcbvaw6rkdmqisyg923m5r-mesa-19.1.4/include=
/GL/glext.h:9755: Syntax error at 'packed'
   Error: /gnu/store/vf5lkc27z5rcbvaw6rkdmqisyg923m5r-mesa-19.1.4/include=
/GL/glext.h:9755: Syntax error at ')'
   Error: /gnu/store/vf5lkc27z5rcbvaw6rkdmqisyg923m5r-mesa-19.1.4/include=
/GL/glext.h:9762: Syntax error at 'packed'
   Error: /gnu/store/vf5lkc27z5rcbvaw6rkdmqisyg923m5r-mesa-19.1.4/include=
/GL/glext.h:9762: Syntax error at ')'
   Error: /gnu/store/vf5lkc27z5rcbvaw6rkdmqisyg923m5r-mesa-19.1.4/include=
/GL/glext.h:9765: Syntax error at 'packed'
   Error: /gnu/store/vf5lkc27z5rcbvaw6rkdmqisyg923m5r-mesa-19.1.4/include=
/GL/glext.h:9765: Syntax error at ')'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:246: Syntax error at '__filename'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:247: Syntax error at '__modes'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:252: Syntax error at '__filename'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:253: Syntax error at '__modes'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:254: Syntax error at '__stream'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:304: Syntax error at '__stream'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:304: Syntax error at '__buf'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:308: Syntax error at '__stream'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:308: Syntax error at '__buf'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:309: Syntax error at 'size_t'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:314: Syntax error at '__stream'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:314: Syntax error at '__buf'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:326: Syntax error at '__stream'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:327: Syntax error at '__format'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:332: Syntax error at '__format'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:334: Syntax error at '__s'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:335: Syntax error at '__format'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:341: Syntax error at '__s'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:341: Syntax error at '__format'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:347: Syntax error at '__format'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:349: Syntax error at '__s'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:349: Syntax error at '__format'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:354: Syntax error at '__s'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:355: Syntax error at 'const'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:355: Syntax error at '__format'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:358: Syntax error at '__s'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:359: Syntax error at 'const'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:359: Syntax error at '__format'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:379: Syntax error at '__fmt'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:382: Syntax error at '__fmt'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:391: Syntax error at '__stream'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:392: Syntax error at '__format'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:397: Syntax error at '__format'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:399: Syntax error at '__s'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:400: Syntax error at '__format'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:416: Syntax error at '__stream'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:417: Syntax error at '__format'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:418: Syntax error at '__format'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:419: Syntax error at '__s'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:420: Syntax error at '__format'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:432: Syntax error at '__s'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:432: Syntax error at '__format'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:440: Syntax error at '__format'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:444: Syntax error at '__s'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:445: Syntax error at '__format'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:465: Syntax error at '__s'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:466: Syntax error at '__format'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:468: Syntax error at '__format'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:470: Syntax error at '__s'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:471: Syntax error at '__format'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:564: Syntax error at '__s'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:564: Syntax error at 'FILE'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:603: Syntax error at '__lineptr'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:604: Syntax error at '__n'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:605: Syntax error at 'FILE'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:606: Syntax error at '__lineptr'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:607: Syntax error at '__n'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:608: Syntax error at 'FILE'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:616: Syntax error at '__lineptr'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:617: Syntax error at '__n'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:616: Syntax error at '__lineptr'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:617: Syntax error at '__n'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:618: Syntax error at '__stream'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:626: Syntax error at '__s'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:626: Syntax error at '__stream'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:646: Syntax error at '__ptr'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:647: Syntax error at 'size_t'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:647: Syntax error at '__stream'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:652: Syntax error at '__ptr'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:653: Syntax error at 'size_t'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:653: Syntax error at '__s'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:673: Syntax error at '__ptr'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:674: Syntax error at 'size_t'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:674: Syntax error at '__stream'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:675: Syntax error at '__ptr'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:676: Syntax error at 'size_t'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:676: Syntax error at '__stream'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:731: Syntax error at '__stream'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
stdio.h:731: Syntax error at '__pos'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
sys/stat.h:205: Syntax error at '__file'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
sys/stat.h:206: Syntax error at '__buf'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
sys/stat.h:234: Syntax error at '__file'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
sys/stat.h:235: Syntax error at '__buf'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
sys/stat.h:259: Syntax error at '__file'
   Error: /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/include/=
sys/stat.h:260: Syntax error at '__buf'
   Error: /gnu/store/vf5lkc27z5rcbvaw6rkdmqisyg923m5r-mesa-19.1.4/include=
/GL/gl.h:93: Syntax error at '\n'
   Error: /gnu/store/vf5lkc27z5rcbvaw6rkdmqisyg923m5r-mesa-19.1.4/include=
/GL/gl.h:97: Syntax error at '\n'
   Status: Processing description list.
   Status: Writing to OBJ.x86_64-pc-linux-gnu/nviz.py.
   Status: Wrapping complete.
I wish I could inspect those temporary files
(/tmp/guix-build-grass-7.8.0.drv-0/tmp70mq13s0.h in the example above), b=
ut
they dissapear too quickly. I suspected that my build environment had got
broken in the meantime, as the errors persist when I selectively rollback
various combinations of the changes. I cannot fully verify it, as I don=E2=
=80=99t know
the way to force the Guix daemon to rebuild (recompile) what=E2=80=99s al=
ready in the
store. I tried
   guix build --check
, then
   guix build -S --check
=E2=80=94 to no avail. But I switched the OS state (GRUB menu on boot + u=
ser profile
generation) to the time of my first successful grass build, and building =
with
changes results in the same errors. Needless to say, I=E2=80=99m at loss =
now.
 gnu/packages/geo.scm | 85 +++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 84 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/geo.scm b/gnu/packages/geo.scm
index dfb00c7547..e050e25511 100644
--- a/gnu/packages/geo.scm
+++ b/gnu/packages/geo.scm
@@ -40,16 +40,20 @@
   #:use-module ((guix licenses) #:prefix license:)
   #:use-module (guix packages)
   #:use-module (guix utils)
+  #:use-module (gnu packages algebra)
   #:use-module (gnu packages astronomy)
   #:use-module (gnu packages autotools)
+  #:use-module (gnu packages bison)
   #:use-module (gnu packages boost)
   #:use-module (gnu packages check)
   #:use-module (gnu packages compression)
   #:use-module (gnu packages databases)
   #:use-module (gnu packages datastructures)
   #:use-module (gnu packages documentation)
+  #:use-module (gnu packages flex)
   #:use-module (gnu packages fonts)
   #:use-module (gnu packages fontutils)
+  #:use-module (gnu packages gl)
   #:use-module (gnu packages glib)
   #:use-module (gnu packages gnome)
   #:use-module (gnu packages gtk)
@@ -67,7 +71,9 @@
   #:use-module (gnu packages web)
   #:use-module (gnu packages webkit)
   #:use-module (gnu packages wxwidgets)
-  #:use-module (gnu packages xml))
+  #:use-module (gnu packages xml)
+  #:use-module (gnu packages xorg)
+  #:use-module (ice-9 match))
=20
 (define-public geos
   (package
@@ -1037,3 +1043,80 @@ persisted.
 @end itemize
 ")
     (license license:expat)))
+
+(define-public grass
+  (package
+    (name "grass")
+    (version "7.8.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (string-append
+             "https://grass.osgeo.org/" name
+             (match (string-split version #\.)
+               ((major minor _ ...)
+                (string-append major minor)))
+             "/source/" name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1ynclznkpnm18vi0brmbfcplgi15yd7lwd424abgv7wm9qlr44ab"))))
+    (build-system gnu-build-system)
+    (arguments
+     '(#:phases
+       (modify-phases %standard-phases
+         ;; Replace configure phase as the ./configure script does not l=
ike
+         ;; CONFIG_SHELL and SHELL passed as parameters
+         (replace 'configure
+           (lambda* (#:key outputs build target #:allow-other-keys)
+             (let* ((out   (assoc-ref outputs "out"))
+                    (bash  (which "bash"))
+                    (flags (list
+                            (string-append "--prefix=3D" out)
+                            (string-append "--build=3D" build)
+                            (string-append
+                             "--with-freetype-includes=3D"
+                             (assoc-ref %build-inputs "freetype")
+                             "/include/freetype2")
+                            (string-append
+                             "--with-proj-share=3D"
+                             (assoc-ref %build-inputs "proj.4")
+                             "/share/proj")
+                            "--with-postgres")))
+               (setenv "CONFIG_SHELL" bash)
+               (apply invoke bash "./configure" flags))))
+         (add-after 'install 'wrap-python-scripts
+           (lambda* (#:key outputs #:allow-other-keys)
+             (let ((out (assoc-ref outputs "out")))
+               (wrap-program (string-append out "/bin/grass78")
+                 `("PYTHONPATH" ":"
+                   prefix (,(string-append wxpython "/lib/python"
+                                           (python-version python)
+                                           "/site-packages")))))
+             #t)))
+       #:tests? #f))  ;no check target
+    (native-inputs
+     `(("flex" ,flex)
+       ("bison" ,bison)
+       ("pkg-config" ,pkg-config)
+       ("python" ,python)))
+    (inputs
+     `(("proj.4" ,proj.4)
+       ("gdal" ,gdal)
+       ("zlib" ,zlib)
+       ("zstd:lib" ,zstd "lib")
+       ("libtiff" ,libtiff)
+       ("libpng" ,libpng)
+       ("sqlite" ,sqlite)
+       ("freeglut" ,freeglut)
+       ("fftw" ,fftw)
+       ("cairo" ,cairo)
+       ("freetype" ,freetype)
+       ("libxt" ,libxt)
+       ("python-wxpython" ,python-wxpython) ;for gui
+       ("postgresql" ,postgresql)))
+    (home-page "https://grass.osgeo.org/")
+    (synopsis "Geographic Resources Analysis Support System")
+    (description "GRASS is a @dfn{Geographic Information System} (GIS) s=
oftware
+suite used for geospatial data management and analysis, image processing=
,
+graphics and maps production, spatial modeling, and visualization.")
+    (license license:gpl2+)))
--=20
2.24.0





Acknowledgement sent to Wiktor Żelazny <wz@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#38178; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.